import { Repository } from "typeorm";
import { Favorite } from "../../common/favorite/favorite.entity";
export declare class AdminFavoriteService {
    private readonly favoriteRepository;
    private readonly logger;
    constructor(favoriteRepository: Repository<Favorite>);
    findAll(vendorId?: string): Promise<Favorite[]>;
    findOne(id: number): Promise<Favorite>;
    remove(id: number): Promise<void>;
}
